Models
Enable/Disable Model
Sets the enabled status of a model.
PUT
/
ai-models
/
:id
/
enable
Enable/Disable Model
curl --request PUT \
--url https://api.example.com/ai-models/:id/enableimport requests
url = "https://api.example.com/ai-models/:id/enable"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/ai-models/:id/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoint
PUT https://gateway.orkeia.ai/ai-models/{id}/enable
Headers
Requires headerauthorization: <your_token>.
authorization: <your_token>
Content-Type: application/json
Route Parameters
id— Model ID (e.g.,MODEL_67890)
Request Body
{
"enabled": true,
"environment": {
"company": "acme-inc",
"sector": "support"
}
}
Response (200)
{
"status": "OK",
"data": {"true"}
}
Error Codes
500 — Server Error
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Was this page helpful?
